; <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
; Nom du projet : CheckFileExtension - Module
; Fichier : CheckFileExtension - Module.pb
; Version : 1.0.0
; Programmation : OK
; Programm par : Guillaume
; Alias : StarBootics
; Courriel : gsaumure@cgocable.ca
; Date : 17-05-2006
; Mise  jour : 07-10-2011
; Cod avec PureBasic V5.20
; <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

DeclareModule CheckFileExtension
  
  Declare.s DoIt(FileName.s, Extension.s)
  
EndDeclareModule

Module CheckFileExtension
  
  Procedure.s DoIt(FileName.s, Extension.s)
    
    ; On considre que le chemin initiale est bon
    GoodPath.s = FileName
    
    ; on dcoupe l'info du nom de fichier
    Path.s = GetPathPart(FileName)
    Name.s = GetFilePart(FileName)
    Ext.s = GetExtensionPart(FileName)
    
    ; S'il y a des problmes on reconstruit le chemin
    If Ext = ""
      GoodPath = Path + Name + "." + Extension
    EndIf 
    
    If Ext <> Extension
      GoodPath = Path + StringField(Name,1,".") + "." + Extension
    EndIf 
    
    ProcedureReturn GoodPath
  EndProcedure
  
EndModule

CompilerIf #PB_Compiler_IsMainFile
  
  Debug CheckFileExtension::DoIt("/home/guillaume/Codesource.xyz", "pb")
  
CompilerEndIf

; <<<<<<<<<<<<<<<<<<<<<<<<
; <<<< FIN DU FICHIER <<<<
; <<<<<<<<<<<<<<<<<<<<<<<<
; IDE Options = PureBasic 5.70 beta 1 (Linux - x64)
; Folding = -
; EnableXP
; CompileSourceDirectory