; <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
; Nom du projet : PastedCodeCleanUp - Module
; Nom du fichier : PastedCodeCleanUp - Module.pb
; Version du fichier : 1.0.0
; Programmation : OK
; Programm par : Guillaume Saumure
; Alias : StarBootics
; Courriel : gsaumure@cgocable.ca
; Date : 21-05-2015
; Mise  jour : 21-05-2015
; Code PureBasic : PureBasic V5.31
; Plateforme : Windows, Linux, MacOS X
; <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

DeclareModule PastedCodeCleanUp
  
  Declare DoIt(GadgetID.l)
  
EndDeclareModule

Module PastedCodeCleanUp
  
  Procedure DoIt(GadgetID.l)
    
    Exit_Condition.a = #False
    Nb_Item.l = CountGadgetItems(GadgetID) 
    
    Repeat
      
      For ItemID = 0 To Nb_Item
        
        ItemText.s = Trim(RemoveString(GetGadgetItemText(GadgetID, ItemID, 0), Chr(9)))
        
        If ItemText = ""
          RemoveGadgetItem(GadgetID, ItemID)
        Else 
          SetGadgetItemText(GadgetID, ItemID, ItemText, 0)
        EndIf
        
      Next 
      
      If Nb_Item > CountGadgetItems(GadgetID)
        Exit_Condition = #False
      Else
        Exit_Condition = #True
      EndIf
      
      Nb_Item = CountGadgetItems(GadgetID)
      
    Until Exit_Condition = #True
    
  EndProcedure 
  
EndModule

; <<<<<<<<<<<<<<<<<<<<<<<<<<
; <<<<< FIN DU FICHIER <<<<<
; <<<<<<<<<<<<<<<<<<<<<<<<<<
; IDE Options = PureBasic 5.70 beta 1 (Linux - x64)
; Folding = -
; EnableXP
; CompileSourceDirectory
; EnableUnicode